Bug 976886 - Review Request: python-ase - Atomic Simulation Environment
Review Request: python-ase - Atomic Simulation Environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ag
  Show dependency treegraph
 
Reported: 2013-06-21 14:42 EDT by marcindulak
Modified: 2014-06-24 18:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-ase-3.7.1.3184-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 14:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description marcindulak 2013-06-21 14:42:45 EDT
Spec URL: http://marcindulak.fedorapeople.org/packages/python-ase/v02/python-ase.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/python-ase/v02/python-ase-3.7.1.3184-1.fc20.src.rpm
Description:
The Atomic Simulation Environment (ASE) is the common part of the simulation
tools developed at CAMd. ASE provides Python modules for manipulating atoms,
analyzing simulations, visualization etc.
Fedora Account System Username: marcindulak
Comment 1 Björn "besser82" Esser 2013-06-22 03:18:48 EDT
Issues found, so far:

 * License-Tag is incorrect:

       MIT/X11 (BSD like)
       ------------------
       python-ase-3.7.1.3184/ase/io/fortranfile.py

     ---> should be LGPLv2+ and MIT

 * Lots of sources and byte-compiled files end-up in %{_datadir}/%{name}/doc/:

     ---> there shouldn't be any byte-compiled stuff in docs
          they should be placed as %doc examples/, I think.

 * %defattr(-,root,root,-) is present:

     ---> not needed in all maintained F/EL branches
          please remove

 * BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

     ---> prefered, but not mandatory, BuildRoot-path is:
          %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

 * macros in comments:

       python-ase.spec:98: W: macro-in-comment %{python_sitelib}
       python-ase.spec:98: W: macro-in-comment %{upstream_name}
       python-ase.spec:99: W: macro-in-comment %exclude
       python-ase.spec:99: W: macro-in-comment %{python_sitelib}
       python-ase.spec:99: W: macro-in-comment %{upstream_name}
       0 packages and 1 specfiles checked; 0 errors, 5 warnings.

     ---> use doubled % to comment out these
          remove unneded non-explaining comments from spec

 * PatchX: %{name}-%{version}...

     ---> name of patch should be static. those patches may apply to later
          versions as well.
          You possibly want propose your patches for inclusion in
          upstream-source and provide a link to this in comments

 * you may wish to remove conditional around Version-tag by simply prefixing
   value of %{?upstream_svn} with a dot [.]

 * there are no manpages for %{_bindir}/*

     ---> since you are affiliated with upstream you may want to create and
          include them by upstream-source

 * Is there a way to have this build with python3, too?

Please fix them and I'll take a more detailed review, then.
Comment 2 Mario Blättermann 2013-06-22 06:18:39 EDT
%{python_sitelib}/%{upstream_name}/gui/*.py*
%{python_sitelib}/%{upstream_name}/gui/languages

This way, your package doesn't own the folder

%{python_sitelib}/%{upstream_name}/gui/

To fix it, add

%dir %{python_sitelib}/%{upstream_name}/gui/



For the spec file I got the following warnings from rpmlint:

$ rpmlint -i -v *spec
python-ase.spec:98: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-ase.spec:98: W: macro-in-comment %{upstream_name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-ase.spec:99: W: macro-in-comment %exclude
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-ase.spec:99: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-ase.spec:99: W: macro-in-comment %{upstream_name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-ase.spec: I: checking-url https://wiki.fysik.dtu.dk/ase-files/python-ase-3.7.1.3184.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 5 warnings.
Comment 3 marcindulak 2013-06-22 16:41:18 EDT
Spec URL: http://marcindulak.fedorapeople.org/packages/python-ase/v02/python-ase.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/python-ase/v02/python-ase-3.7.1.3184-2.fc20.src.rpm

These are the changes:

- added ase-gui.desktop, for the ag command. It refers to
  Icon=/usr/share/python-ase/doc/_static/ase.ico . Is it OK?

- bug#976886#c2 fixed - spec uses a generated files.list with %dir, %lang
  and py* files

(In reply to Björn Esser from comment #1)
> Issues found, so far:
> 
>  * License-Tag is incorrect:
> 
>        MIT/X11 (BSD like)
>        ------------------
>        python-ase-3.7.1.3184/ase/io/fortranfile.py
> 
>      ---> should be LGPLv2+ and MIT

OK

> 
>  * Lots of sources and byte-compiled files end-up in
> %{_datadir}/%{name}/doc/:
> 
>      ---> there shouldn't be any byte-compiled stuff in docs
>           they should be placed as %doc examples/, I think.

Would it be enough to remove (and is it really necessary) the py{c,o} files?

I need to give a bit of explanation.
We use %{_datadir}/%{name}/doc/ to store raw documentation (*rst),
example ASE python scripts (not part of the code),
and some additional static files (for example the ase-gui icon is stored there).
Doing:
cd %{_datadir}/%{name}/doc/
sphinx-build . _build
would build ASE html documentation - but that takes time (~10 min),
and requires additional dependencies (povray).

We choose %{_datadir}/%{name} in order to have a standard fallback
for distutils data_files directory for the following reason:
on Fedora docs are installed under %{_datadir}/doc/%{name}-%{version}
but on Debian under (corresponding) %{_datadir}/doc/%{name}-doc.
The %{_datadir}/%{name} directory exists on both distributions
(but for different purposes).

I can also see that numpy for example, which packages it's docs on Fedora
under %{_datadir}/doc/%{name}-%{version}, also includes byte-compiled files:
$ rpm -ql numpy | grep basics\.pyc

> 
>  * %defattr(-,root,root,-) is present:
> 
>      ---> not needed in all maintained F/EL branches
>           please remove

OK

> 
>  * BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
>      ---> prefered, but not mandatory, BuildRoot-path is:
>           %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

OK, removed

> 
>  * macros in comments:
> 
>        python-ase.spec:98: W: macro-in-comment %{python_sitelib}
>        python-ase.spec:98: W: macro-in-comment %{upstream_name}
>        python-ase.spec:99: W: macro-in-comment %exclude
>        python-ase.spec:99: W: macro-in-comment %{python_sitelib}
>        python-ase.spec:99: W: macro-in-comment %{upstream_name}
>        0 packages and 1 specfiles checked; 0 errors, 5 warnings.
> 
>      ---> use doubled % to comment out these
>           remove unneded non-explaining comments from spec

OK, removed

> 
>  * PatchX: %{name}-%{version}...
> 
>      ---> name of patch should be static. those patches may apply to later
>           versions as well.
>           You possibly want propose your patches for inclusion in
>           upstream-source and provide a link to this in comments

The 2 patches have been already applied upstream,
and are needed only for the release being packaged here.
The relevant commits upstream are documented in the spec.

I prefer to keep the patches versioned, but can change them to static names
if that's a strict requirement. My impression was always that a patch
should contain version information if possible. I keep patches for
some projects that won't accept my dirty changes for years,
and having them versioned allows me to build old and new versions:
i change the version of the patch applied instead of changing the patch itself.

> 
>  * you may wish to remove conditional around Version-tag by simply prefixing
>    value of %{?upstream_svn} with a dot [.]

OK

> 
>  * there are no manpages for %{_bindir}/*
> 
>      ---> since you are affiliated with upstream you may want to create and
>           include them by upstream-source

our developers have been talking already for several years about man pages,
but no one will work on that in the near future

> 
>  * Is there a way to have this build with python3, too?

ASE does not run with python3 yet.

> 
> Please fix them and I'll take a more detailed review, then.

thanks
Comment 4 Björn "besser82" Esser 2013-06-23 04:36:06 EDT
(In reply to Marcin.Dulak from comment #3)
> These are the changes:
> 
> - added ase-gui.desktop, for the ag command. It refers to
>   Icon=/usr/share/python-ase/doc/_static/ase.ico . Is it OK?

Icons for desktop-files should be installed inside %{_datadir}/pixmaps/

> - bug#976886#c2 fixed - spec uses a generated files.list with %dir, %lang
>   and py* files
 
> >  * Lots of sources and byte-compiled files end-up in
> > %{_datadir}/%{name}/doc/:
> > 
> >      ---> there shouldn't be any byte-compiled stuff in docs
> >           they should be placed as %doc examples/, I think.
> 
> Would it be enough to remove (and is it really necessary) the py{c,o} files?

Yes

> I need to give a bit of explanation.
> We use %{_datadir}/%{name}/doc/ to store raw documentation (*rst),
> example ASE python scripts (not part of the code),
> and some additional static files (for example the ase-gui icon is stored
> there).

Are there any other files needed during runtime inside?  Which?   How many?  If not, I'd recommend copying the .ico to pixmaps and rm'ing the whole dir.

> Doing:
> cd %{_datadir}/%{name}/doc/
> sphinx-build . _build
> would build ASE html documentation - but that takes time (~10 min),
> and requires additional dependencies (povray).

Since these files are only useful to generate a perfect clone of %{URL} and povray is non-free they're just a waste of space, I suppose.  How about pre-building the html/img files, put them as Source1-tarball inside spec and install them as %doc in a doc-subpkg?  This seem quite more useful, then providing files needing non-free software for build, to me.  Another possibility would be to include the pdf-man as Source1 and install it into doc-subpkg.

You may want to move all %doc from main-pkg to doc-subpkg and just keep %doc LICENSE in main-pkg, then.

> I can also see that numpy for example, which packages it's docs on Fedora
> under %{_datadir}/doc/%{name}-%{version}, also includes byte-compiled files:
> $ rpm -ql numpy | grep basics\.pyc

Then reviewer of this was lazy...  It's common not to have anything binary-exec related in %doc.

> >  * BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > 
> >      ---> prefered, but not mandatory, BuildRoot-path is:
> >           %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> 
> OK, removed

If you want to package for el5 (I think so), you will need to keep BuildRoot, but using the %(mktemp ...) variant is recommended.  You may also want to use conditial exapansion for el5-only things so fedora-review won't report false positives and reviewers are aware this intended to be pkged for el5, e.g. %{?el5:BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}

For el5 some more adaptions will be needed in spec:

%install
%{?el5:rm -rf %{buildroot}}
...

%clean
%{?el5:rm -rf %{buildroot}}

You may use $RPM_BUILD_ROOT instead of %{buildroot}.  Just personal preference.

> >  * PatchX: %{name}-%{version}...
> > 
> >      ---> name of patch should be static. those patches may apply to later
> >           versions as well.
> >           You possibly want propose your patches for inclusion in
> >           upstream-source and provide a link to this in comments
> 
> The 2 patches have been already applied upstream,
> and are needed only for the release being packaged here.
> The relevant commits upstream are documented in the spec.

Fine, thanks.

> I prefer to keep the patches versioned, but can change them to static names
> if that's a strict requirement. My impression was always that a patch
> should contain version information if possible. I keep patches for
> some projects that won't accept my dirty changes for years,
> and having them versioned allows me to build old and new versions:
> i change the version of the patch applied instead of changing the patch
> itself.

Was just a proposal from me. Whether keeping version or not, is more a question of personal preference...

> >  * you may wish to remove conditional around Version-tag by simply prefixing
> >    value of %{?upstream_svn} with a dot [.]
> 
> OK

Ahh. Looks better now. Thanks

> >  * there are no manpages for %{_bindir}/*
> > 
> >      ---> since you are affiliated with upstream you may want to create and
> >           include them by upstream-source
> 
> our developers have been talking already for several years about man pages,
> but no one will work on that in the near future

Would be nice-to-have.  There are some nifty tools around, e.g. asciidoc or rubygem-ronn for generating manpages from human-friendly markdown.  But they are not mandory by guidelines, yet.

> >  * Is there a way to have this build with python3, too?
> 
> ASE does not run with python3 yet.

OK, some somewhen in future...

#####

some questions about spec:

BuildRequires:	numpy
BuildRequires:	pygtk2

  Are they really needed during %build?

Requires:	pygtk2
Requires:	numpy
Requires:	libpng

  Are not needed, get pulled on deps by python-matplotlib

Requires:	texlive-latex emacs-auctex tex-preview

  What are these used for?  Autodocs, only?

Requires:	python-sphinx

  Any use of this other then generating autodocs (which is quiet pointless
  without povray)?

Requires:	ImageMagick

  Really needed?

#####

Wouldn't it make sense to put the gtk-interface (besides desktop-file and icon) into a gtk-subpkg?  Can ASE be used in a sane and useful way from cli without the need for pulling lots of desktop-dependencies?

#####

You may want to use the %fdupes-macro (BR: fdupes) to get rid of duplicate files and simply hard-link them:

  /usr/lib/python2.7/site-packages/ase/test/jacapo/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/elk/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/mopac/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/nwchem/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/gaussian/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/cmr/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/fio/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/abinit/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/exciting/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/tasks/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/aims/__init__.py
  /usr/lib/python2.7/site-packages/ase/test/gromacs/__init__.py
  /usr/lib/python2.7/site-packages/ase/gui/__init__.py
  /usr/lib/python2.7/site-packages/ase/tasks/__init__.py
  /usr/lib/python2.7/site-packages/ase/examples/__init__.py

  14 duplicate files (in 1 sets), occupying 0 bytes.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  ---> false positve: texlive-dvipng-bin.fc20.x86_64 is currently broken
       on rawhide.  F19 install is fine.

- update-desktop-database is invoked when required
  Note: desktop file(s) in python-ase
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

  ---> false positive: desktop-file defines no mime-type.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[?]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "Unknown or generated". 477
     files have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/976886-python-ase/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 184320 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[ ]: Latest version is packaged.

     ---> doc on %{url} refers to 3.8.0???  Is that new release or devel-snap?

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed

     ---> currently ignored, see above. Final review will have two reports
          F19 and RAWHIDE if problem (from deps) still persists.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/bjoern.esser/fedora/review/976886-python-ase/results/python-ase-3.7.1.3184-2.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/bjoern.esser/fedora/review/976886-python-ase/results/python-ase-3.7.1.3184-2.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Fehler: Paket: 2:texlive-dvipng-bin-svn30088.0-24.20130531_r30819.fc20.x86_64 (fedora)
            Benötigt: libgd.so.2()(64bit)
 Sie können versuchen, mit --skip-broken das Problem zu umgehen.
 Sie könnten Folgendes versuchen: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-ase-3.7.1.3184-2.fc20.noarch.rpm
python-ase.noarch: E: explicit-lib-dependency libpng
python-ase.noarch: E: explicit-lib-dependency python-matplotlib
python-ase.noarch: W: no-manual-page-for-binary ASE2ase
python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
python-ase.noarch: W: no-manual-page-for-binary testase
python-ase.noarch: W: no-manual-page-for-binary ag
python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
python-ase.noarch: W: no-manual-page-for-binary ase
python-ase.noarch: W: no-manual-page-for-binary asec
1 packages and 0 specfiles checked; 2 errors, 7 warnings.




Requires
--------
python-ase (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    ImageMagick
    emacs-auctex
    libpng
    numpy
    pygtk2
    python(abi)
    python-matplotlib
    python-sphinx
    tex-preview
    texlive-latex



Provides
--------
python-ase:
    python-ase



Source checksums
----------------
https://wiki.fysik.dtu.dk/ase-files/python-ase-3.7.1.3184.tar.gz :
  CHECKSUM(SHA256) this package     : de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
  CHECKSUM(SHA256) upstream package : de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
https://wiki.fysik.dtu.dk/ase-files/ase-gui.desktop :
  CHECKSUM(SHA256) this package     : 682d98bea676f3bf48f9624690a0df046305d69ff4086151f3d3e176531acd38
  CHECKSUM(SHA256) upstream package : 682d98bea676f3bf48f9624690a0df046305d69ff4086151f3d3e176531acd38


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 976886
Comment 5 marcindulak 2013-06-23 12:32:55 EDT
http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase.spec
http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase-3.7.1.3184-3.fc20.src.rpm

(In reply to Björn Esser from comment #4)
> (In reply to Marcin.Dulak from comment #3)
> > These are the changes:
> > 
> > - added ase-gui.desktop, for the ag command. It refers to
> >   Icon=/usr/share/python-ase/doc/_static/ase.ico . Is it OK?
> 
> Icons for desktop-files should be installed inside %{_datadir}/pixmaps/

OK

> 
> > - bug#976886#c2 fixed - spec uses a generated files.list with %dir, %lang
> >   and py* files
>  
> > >  * Lots of sources and byte-compiled files end-up in
> > > %{_datadir}/%{name}/doc/:
> > > 
> > >      ---> there shouldn't be any byte-compiled stuff in docs
> > >           they should be placed as %doc examples/, I think.
> > 
> > Would it be enough to remove (and is it really necessary) the py{c,o} files?
> 
> Yes

OK. The whole doc dir is removed

> 
> > I need to give a bit of explanation.
> > We use %{_datadir}/%{name}/doc/ to store raw documentation (*rst),
> > example ASE python scripts (not part of the code),
> > and some additional static files (for example the ase-gui icon is stored
> > there).
> 
> Are there any other files needed during runtime inside?  Which?   How many? 
> If not, I'd recommend copying the .ico to pixmaps and rm'ing the whole dir.

OK. The whole doc dir is removed

> 
> > Doing:
> > cd %{_datadir}/%{name}/doc/
> > sphinx-build . _build
> > would build ASE html documentation - but that takes time (~10 min),
> > and requires additional dependencies (povray).
> 
> Since these files are only useful to generate a perfect clone of %{URL} and
> povray is non-free they're just a waste of space, I suppose.  How about
> pre-building the html/img files, put them as Source1-tarball inside spec and
> install them as %doc in a doc-subpkg?  This seem quite more useful, then
> providing files needing non-free software for build, to me.  Another
> possibility would be to include the pdf-man as Source1 and install it into
> doc-subpkg.
> 
> You may want to move all %doc from main-pkg to doc-subpkg and just keep %doc
> LICENSE in main-pkg, then.

It's too much trouble to pre-build doc. We will rather look at povray
alternatives, any suggestions?

> 
> > I can also see that numpy for example, which packages it's docs on Fedora
> > under %{_datadir}/doc/%{name}-%{version}, also includes byte-compiled files:
> > $ rpm -ql numpy | grep basics\.pyc
> 
> Then reviewer of this was lazy...  It's common not to have anything
> binary-exec related in %doc.
> 
> > >  * BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > > 
> > >      ---> prefered, but not mandatory, BuildRoot-path is:
> > >           %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> > 
> > OK, removed
> 
> If you want to package for el5 (I think so), you will need to keep
> BuildRoot, but using the %(mktemp ...) variant is recommended.  You may also
> want to use conditial exapansion for el5-only things so fedora-review won't
> report false positives and reviewers are aware this intended to be pkged for
> el5, e.g. %{?el5:BuildRoot:	%(mktemp -ud
> %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}
> 
> For el5 some more adaptions will be needed in spec:
> 
> %install
> %{?el5:rm -rf %{buildroot}}
> ...
> 
> %clean
> %{?el5:rm -rf %{buildroot}}
> 
> You may use $RPM_BUILD_ROOT instead of %{buildroot}.  Just personal
> preference.

should build on el5 now. I assume this will happen on EPEL, so numpy will
be available? I see also that the macros %dist, %rhel, %el5 are provided
on el5 by buildsys-macros, and this package is not installed by default,
so i tried to make some workarounds - is buildsys-macros installed on EPEL?

I use $RPM_BUILD_ROOT

> 
> > >  * PatchX: %{name}-%{version}...
> > > 
> > >      ---> name of patch should be static. those patches may apply to later
> > >           versions as well.
> > >           You possibly want propose your patches for inclusion in
> > >           upstream-source and provide a link to this in comments
> > 
> > The 2 patches have been already applied upstream,
> > and are needed only for the release being packaged here.
> > The relevant commits upstream are documented in the spec.
> 
> Fine, thanks.
> 
> > I prefer to keep the patches versioned, but can change them to static names
> > if that's a strict requirement. My impression was always that a patch
> > should contain version information if possible. I keep patches for
> > some projects that won't accept my dirty changes for years,
> > and having them versioned allows me to build old and new versions:
> > i change the version of the patch applied instead of changing the patch
> > itself.
> 
> Was just a proposal from me. Whether keeping version or not, is more a
> question of personal preference...
> 
> > >  * you may wish to remove conditional around Version-tag by simply prefixing
> > >    value of %{?upstream_svn} with a dot [.]
> > 
> > OK
> 
> Ahh. Looks better now. Thanks
> 
> > >  * there are no manpages for %{_bindir}/*
> > > 
> > >      ---> since you are affiliated with upstream you may want to create and
> > >           include them by upstream-source
> > 
> > our developers have been talking already for several years about man pages,
> > but no one will work on that in the near future
> 
> Would be nice-to-have.  There are some nifty tools around, e.g. asciidoc or
> rubygem-ronn for generating manpages from human-friendly markdown.  But they
> are not mandory by guidelines, yet.
> 
> > >  * Is there a way to have this build with python3, too?
> > 
> > ASE does not run with python3 yet.
> 
> OK, some somewhen in future...
> 
> #####
> 
> some questions about spec:
> 
> BuildRequires:	numpy
> BuildRequires:	pygtk2
> 
>   Are they really needed during %build?
> 
> Requires:	pygtk2
> Requires:	numpy
> Requires:	libpng
> 
>   Are not needed, get pulled on deps by python-matplotlib

pygtk2 does not on el.

> 
> Requires:	texlive-latex emacs-auctex tex-preview
> 
>   What are these used for?  Autodocs, only?
> 
> Requires:	python-sphinx
> 
>   Any use of this other then generating autodocs (which is quiet pointless
>   without povray)?
> 
> Requires:	ImageMagick
> 
>   Really needed?
> 
> #####
> 
> Wouldn't it make sense to put the gtk-interface (besides desktop-file and
> icon) into a gtk-subpkg?  Can ASE be used in a sane and useful way from cli
> without the need for pulling lots of desktop-dependencies?

the BR and R related to doc (sphinx) are removed.
numpy is needed as BR because %check runs ASE tests.
I prefer to R pygtk2 python-matplotlib because we receive many emails
from beginning users who do not know what to do when python prints:
ImportError: No module named gtk
Matplotlib is needed by the gui in order to create plots.

> 
> #####
> 
> You may want to use the %fdupes-macro (BR: fdupes) to get rid of duplicate
> files and simply hard-link them:
> 
>   /usr/lib/python2.7/site-packages/ase/test/jacapo/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/elk/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/mopac/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/nwchem/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/gaussian/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/cmr/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/fio/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/abinit/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/exciting/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/tasks/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/aims/__init__.py
>   /usr/lib/python2.7/site-packages/ase/test/gromacs/__init__.py
>   /usr/lib/python2.7/site-packages/ase/gui/__init__.py
>   /usr/lib/python2.7/site-packages/ase/tasks/__init__.py
>   /usr/lib/python2.7/site-packages/ase/examples/__init__.py
> 
>   14 duplicate files (in 1 sets), occupying 0 bytes.

%fdupes is included now, but i see that %fdupes does not work on empty files:
rpm --eval %fdupes
so only pyc<->pyo are hard-linked.

> 
> #####
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass
> [!] = Fail
> [-] = Not applicable
> [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
>   ---> false positve: texlive-dvipng-bin.fc20.x86_64 is currently broken
>        on rawhide.  F19 install is fine.
> 
> - update-desktop-database is invoked when required
>   Note: desktop file(s) in python-ase
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> 
>   ---> false positive: desktop-file defines no mime-type.
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Development files must be in a -devel package
> [x]: Package requires other packages for directories it uses.
> [?]: Package uses nothing in %doc for runtime.
> [x]: Package is not known to require ExcludeArch.
> [ ]: Package complies to the Packaging Guidelines
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "Unknown or generated".
> 477
>      files have unknown license. Detailed output of licensecheck in
>      /home/bjoern.esser/fedora/review/976886-python-ase/licensecheck.txt
> [x]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: If the package is under multiple licenses, the licensing breakdown must
>      be documented in the spec.
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [ ]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [?]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 184320 bytes in 8 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package contains desktop file if it is a GUI application.
> [x]: Package installs a %{name}.desktop using desktop-file-install if there
> is
>      such a file.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build process.
> [x]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [?]: Package functions as described.
> [ ]: Latest version is packaged.
> 
>      ---> doc on %{url} refers to 3.8.0???  Is that new release or
> devel-snap?

3.8.0 is the current trunk (devel). The sphinx doc is built and published only
for the trunk, so having doc distributed for the specific version
of RPM would be good, but there is povray dependency.
We have an old ticket about it https://trac.fysik.dtu.dk/projects/ase/ticket/74

> 
> [x]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
> 
>      ---> currently ignored, see above. Final review will have two reports
>           F19 and RAWHIDE if problem (from deps) still persists.
> 
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Installation errors
> -------------------
> INFO: mock.py version 1.1.32 starting...
> Start: init plugins
> INFO: selinux enabled
> Finish: init plugins
> Start: run
> Mock Version: 1.1.32
> INFO: Mock Version: 1.1.32
> Start: lock buildroot
> INFO: installing package(s):
> /home/bjoern.esser/fedora/review/976886-python-ase/results/python-ase-3.7.1.
> 3184-2.fc20.noarch.rpm
> ERROR: Command failed: 
>  # ['/usr/bin/yum', '--installroot',
> '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install',
> '/home/bjoern.esser/fedora/review/976886-python-ase/results/python-ase-3.7.1.
> 3184-2.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
> Fehler: Paket:
> 2:texlive-dvipng-bin-svn30088.0-24.20130531_r30819.fc20.x86_64 (fedora)
>             Benötigt: libgd.so.2()(64bit)
>  Sie können versuchen, mit --skip-broken das Problem zu umgehen.
>  Sie könnten Folgendes versuchen: rpm -Va --nofiles --nodigest
> 
> 
> 
> Rpmlint
> -------
> Checking: python-ase-3.7.1.3184-2.fc20.noarch.rpm
> python-ase.noarch: E: explicit-lib-dependency libpng
> python-ase.noarch: E: explicit-lib-dependency python-matplotlib
> python-ase.noarch: W: no-manual-page-for-binary ASE2ase
> python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
> python-ase.noarch: W: no-manual-page-for-binary testase
> python-ase.noarch: W: no-manual-page-for-binary ag
> python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
> python-ase.noarch: W: no-manual-page-for-binary ase
> python-ase.noarch: W: no-manual-page-for-binary asec
> 1 packages and 0 specfiles checked; 2 errors, 7 warnings.
> 
> 
> 
> 
> Requires
> --------
> python-ase (rpmlib, GLIBC filtered):
>     /bin/sh
>     /usr/bin/python
>     ImageMagick
>     emacs-auctex
>     libpng
>     numpy
>     pygtk2
>     python(abi)
>     python-matplotlib
>     python-sphinx
>     tex-preview
>     texlive-latex
> 
> 
> 
> Provides
> --------
> python-ase:
>     python-ase
> 
> 
> 
> Source checksums
> ----------------
> https://wiki.fysik.dtu.dk/ase-files/python-ase-3.7.1.3184.tar.gz :
>   CHECKSUM(SHA256) this package     :
> de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
>   CHECKSUM(SHA256) upstream package :
> de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
> https://wiki.fysik.dtu.dk/ase-files/ase-gui.desktop :
>   CHECKSUM(SHA256) this package     :
> 682d98bea676f3bf48f9624690a0df046305d69ff4086151f3d3e176531acd38
>   CHECKSUM(SHA256) upstream package :
> 682d98bea676f3bf48f9624690a0df046305d69ff4086151f3d3e176531acd38
> 
> 
> Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
> Buildroot used: fedora-rawhide-x86_64
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 976886
Comment 6 Björn "besser82" Esser 2013-06-23 14:44:13 EDT
(In reply to Marcin.Dulak from comment #5)
> It's too much trouble to pre-build doc. We will rather look at povray
> alternatives, any suggestions?

LuxRender might be a suitable substitute.  It's GPLv3+, avail on F17+ and EL5+ (through EPEL). Have a look here for more details:
http://www.luxrender.net/en_GB/description

#####

You forgot to prefix the updated urls. :)  `fedora-review` likes them prefixed, so I repeat them with proper prefix here.

Spec URL: http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase-3.7.1.3184-3.fc20.src.rpm

#####

I'll take next review-run tommorow morning.
Comment 7 Björn "besser82" Esser 2013-06-23 14:53:43 EDT
(In reply to Björn Esser from comment #6)
> (In reply to Marcin.Dulak from comment #5)
> > It's too much trouble to pre-build doc. We will rather look at povray
> > alternatives, any suggestions?
> 
> LuxRender might be a suitable substitute.  It's GPLv3+, avail on F17+ and
> EL5+ (through EPEL). Have a look here for more details:
> http://www.luxrender.net/en_GB/description

Just saw LuxRender is a spin-off/fork from PBRT (also GPL'ed, but needs to be pkged for Fedora and EL), which is more geared towards physical rendering:  http://www.pbrt.org/index.php
Comment 8 marcindulak 2013-06-23 16:28:13 EDT
(In reply to Björn Esser from comment #6)
> (In reply to Marcin.Dulak from comment #5)
> > It's too much trouble to pre-build doc. We will rather look at povray
> > alternatives, any suggestions?
> 
> LuxRender might be a suitable substitute.  It's GPLv3+, avail on F17+ and
> EL5+ (through EPEL). Have a look here for more details:
> http://www.luxrender.net/en_GB/description
> 
> #####

ASE is LGPLv2+, so i believe i won't be able to use the pylux python API http://www.luxrender.net/wiki/API_Usage_example ,
i.e., have in ASE "import pylux"?
However i found this:
https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#Linking_and_multiple_licenses
and now i'm not sure:
is "import Y" possible in a X LGPL project, where Y is GPL?

By they way pylux seems not packaged: bug #754945

> 
> You forgot to prefix the updated urls. :)  `fedora-review` likes them
> prefixed, so I repeat them with proper prefix here.

in fact i did not include them on purpose - was asking myself a question
if fedora-review will work without them - and i did for me.

> 
> Spec URL:
> http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase.spec
> SRPM URL:
> http://marcindulak.fedorapeople.org/packages/python-ase/v03/python-ase-3.7.1.
> 3184-3.fc20.src.rpm
> 
> #####
> 
> I'll take next review-run tommorow morning.
Comment 9 Björn "besser82" Esser 2013-06-24 05:30:15 EDT
(In reply to Marcin.Dulak from comment #5)
> should build on el5 now. I assume this will happen on EPEL, so numpy will
> be available?

Yes, numpy is in EPEL for el5 and offered from "official" Repo on el6+

> I see also that the macros %dist, %rhel, %el5 are provided
> on el5 by buildsys-macros, and this package is not installed by default,
> so i tried to make some workarounds - is buildsys-macros installed on EPEL?

# buildsys-macros on el5 provides %%dist, %%rhel, %%el5
%{!?dist: %global el5 1}
%{!?dist: %global rhel 5}
%{!?dist: %global dist .el5}

Not needed: `buildsys-macros` are avail during koji-build, so there's no need for a hack.  On el5 there should be a group called `RPM Development Tools` or similar which pulles `buildsys-macros`, rpmbuild and other needed packages.  Simply installing `rpm-build` isn't enough.  On Fedora it's the same, btw, `rpm-build` is not pulling `redhat-rpm-config`, which is needed for some proper macro-defines, too.

# macros undefined on el5
%if 0%{?el5}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

There's no need for explicit conditional on el5 here.  %python_sitearch is not needed, too.  So just keeping the plain python_sitelib-expansion will do.

#####

 | %if 0%{?rhel} && 0%{?rhel} <= 6
 | Requires: pygtk2
 | %endif

Just using `%if 0%{?rhel} <= 6` should be enough and will improve readability.

#####

> %fdupes is included now, but i see that %fdupes does not work on empty files:
> rpm --eval %fdupes

So you can drop fdupes.  Then it will be no use.

> so only pyc<->pyo are hard-linked.

These get hard-linked by rpmbuilb auto-bytecompile.

#####

 | desktop-file-install \
 | --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 | %if 0%{?el5}
 | --vendor "" \
 | %endif
 | %{SOURCE1}

You can use expansion here, instead of conditional: `%{?el5:--vendor "" \}`

#####

 | %if 0%{?fedora} || 0%{?rhel} >= 6
 | %{python_sitelib}/*.egg-info
 | %endif

Same as above: `%{?!el5:%{python_sitelib}/*.egg-info}`

#####

Is there a real need for an empty dir %{_datadir}/%{name} ?

#####

Package is fine, besides the mentioned above.

#####


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  ---> ignored: texlive-dvipng-bin-svn is broken on rawhide, see:
       https://lists.fedoraproject.org/pipermail/devel/2013-June/184366.html

       Install went fine on F19

- update-desktop-database is invoked when required
  Note: desktop file(s) in python-ase
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

  ---> false positive: no mime-type defined in desktop-file

- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

  ---> false positive: desktop-file-install is invoked correctly.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "Unknown or generated". 402
     files have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/976886-python-ase/licensecheck.txt

     ---> License-tag is fine

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 163840 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed

     ---> false positive: install fails on rawhide, see above.
          Everything is fine on F19.  rpmlint results are from there.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: python-ase-3.7.1.3184-3.fc19.noarch.rpm
python-ase.noarch: E: explicit-lib-dependency python-matplotlib
python-ase.noarch: W: no-manual-page-for-binary ASE2ase
python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
python-ase.noarch: W: no-manual-page-for-binary testase
python-ase.noarch: W: no-manual-page-for-binary ag
python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
python-ase.noarch: W: no-manual-page-for-binary ase
python-ase.noarch: W: no-manual-page-for-binary asec
1 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-ase
python-ase.noarch: E: explicit-lib-dependency python-matplotlib
python-ase.noarch: W: no-manual-page-for-binary ASE2ase
python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
python-ase.noarch: W: no-manual-page-for-binary testase
python-ase.noarch: W: no-manual-page-for-binary ag
python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
python-ase.noarch: W: no-manual-page-for-binary ase
python-ase.noarch: W: no-manual-page-for-binary asec
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-ase (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-matplotlib



Provides
--------
python-ase:
    python-ase



Source checksums
----------------
https://wiki.fysik.dtu.dk/ase-files/python-ase-3.7.1.3184.tar.gz :
  CHECKSUM(SHA256) this package     : de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
  CHECKSUM(SHA256) upstream package : de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
https://wiki.fysik.dtu.dk/ase-files/ase-gui.desktop :
  CHECKSUM(SHA256) this package     : 6d685a94f4d034a7ee2ed12057c5e44b3ed7d5e8c2b1fb4d2bb0104c214cd3a4
  CHECKSUM(SHA256) upstream package : 6d685a94f4d034a7ee2ed12057c5e44b3ed7d5e8c2b1fb4d2bb0104c214cd3a4


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 976886

#####

Please fix these small issues inside spec, and I'll grant review.
Comment 10 marcindulak 2013-06-25 04:42:56 EDT
Spec URL: http://marcindulak.fedorapeople.org/packages/python-ase/v04/python-ase.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/python-ase/v04/python-ase-3.7.1.3184-4.fc20.src.rpm

(In reply to Björn Esser from comment #9)
> (In reply to Marcin.Dulak from comment #5)
> > should build on el5 now. I assume this will happen on EPEL, so numpy will
> > be available?
> 
> Yes, numpy is in EPEL for el5 and offered from "official" Repo on el6+
> 
> > I see also that the macros %dist, %rhel, %el5 are provided
> > on el5 by buildsys-macros, and this package is not installed by default,
> > so i tried to make some workarounds - is buildsys-macros installed on EPEL?
> 
> # buildsys-macros on el5 provides %%dist, %%rhel, %%el5
> %{!?dist: %global el5 1}
> %{!?dist: %global rhel 5}
> %{!?dist: %global dist .el5}
> 
> Not needed: `buildsys-macros` are avail during koji-build, so there's no
> need for a hack.  On el5 there should be a group called `RPM Development
> Tools` or similar which pulles `buildsys-macros`, rpmbuild and other needed
> packages.  Simply installing `rpm-build` isn't enough.  On Fedora it's the
> same, btw, `rpm-build` is not pulling `redhat-rpm-config`, which is needed
> for some proper macro-defines, too.

OK, removed

> 
> # macros undefined on el5
> %if 0%{?el5}
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> %endif
> 
> There's no need for explicit conditional on el5 here.  %python_sitearch is
> not needed, too.  So just keeping the plain python_sitelib-expansion will do.
> 

OK

> #####
> 
>  | %if 0%{?rhel} && 0%{?rhel} <= 6
>  | Requires: pygtk2
>  | %endif
> 
> Just using `%if 0%{?rhel} <= 6` should be enough and will improve
> readability.

we need it. 0%{?rhel} <= 6 alone would be true on Fedora.

> 
> #####
> 
> > %fdupes is included now, but i see that %fdupes does not work on empty files:
> > rpm --eval %fdupes
> 
> So you can drop fdupes.  Then it will be no use.

OK, removed

> 
> > so only pyc<->pyo are hard-linked.
> 
> These get hard-linked by rpmbuilb auto-bytecompile.
> 
> #####
> 
>  | desktop-file-install \
>  | --dir $RPM_BUILD_ROOT%{_datadir}/applications \
>  | %if 0%{?el5}
>  | --vendor "" \
>  | %endif
>  | %{SOURCE1}
> 
> You can use expansion here, instead of conditional: `%{?el5:--vendor "" \}`

i got "unclosed macro or bad line continuation", so i use --vendor=="ase".

> 
> #####
> 
>  | %if 0%{?fedora} || 0%{?rhel} >= 6
>  | %{python_sitelib}/*.egg-info
>  | %endif
> 
> Same as above: `%{?!el5:%{python_sitelib}/*.egg-info}`

OK

> 
> #####
> 
> Is there a real need for an empty dir %{_datadir}/%{name} ?

removed.

> 
> #####
> 
> Package is fine, besides the mentioned above.
> 
> #####
> 
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
>   ---> ignored: texlive-dvipng-bin-svn is broken on rawhide, see:
>        https://lists.fedoraproject.org/pipermail/devel/2013-June/184366.html
> 
>        Install went fine on F19
> 
> - update-desktop-database is invoked when required
>   Note: desktop file(s) in python-ase
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> 
>   ---> false positive: no mime-type defined in desktop-file
> 
> - Package installs a %{name}.desktop using desktop-file-install if there is
>   such a file.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
> 
>   ---> false positive: desktop-file-install is invoked correctly.
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Development files must be in a -devel package
> [x]: Package requires other packages for directories it uses.
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package is not known to require ExcludeArch.
> [x]: Package complies to the Packaging Guidelines
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "Unknown or generated".
> 402
>      files have unknown license. Detailed output of licensecheck in
>      /home/bjoern.esser/fedora/review/976886-python-ase/licensecheck.txt
> 
>      ---> License-tag is fine
> 
> [x]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: If the package is under multiple licenses, the licensing breakdown must
>      be documented in the spec.
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 163840 bytes in 8 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package contains desktop file if it is a GUI application.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build process.
> [x]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
> 
>      ---> false positive: install fails on rawhide, see above.
>           Everything is fine on F19.  rpmlint results are from there.
> 
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> 
> Rpmlint
> -------
> Checking: python-ase-3.7.1.3184-3.fc19.noarch.rpm
> python-ase.noarch: E: explicit-lib-dependency python-matplotlib
> python-ase.noarch: W: no-manual-page-for-binary ASE2ase
> python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
> python-ase.noarch: W: no-manual-page-for-binary testase
> python-ase.noarch: W: no-manual-page-for-binary ag
> python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
> python-ase.noarch: W: no-manual-page-for-binary ase
> python-ase.noarch: W: no-manual-page-for-binary asec
> 1 packages and 0 specfiles checked; 1 errors, 7 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint python-ase
> python-ase.noarch: E: explicit-lib-dependency python-matplotlib
> python-ase.noarch: W: no-manual-page-for-binary ASE2ase
> python-ase.noarch: W: no-manual-page-for-binary trajectoryinfo
> python-ase.noarch: W: no-manual-page-for-binary testase
> python-ase.noarch: W: no-manual-page-for-binary ag
> python-ase.noarch: W: no-manual-page-for-binary foldtrajectory
> python-ase.noarch: W: no-manual-page-for-binary ase
> python-ase.noarch: W: no-manual-page-for-binary asec
> 1 packages and 0 specfiles checked; 1 errors, 7 warnings.
> # echo 'rpmlint-done:'
> 
> 
> 
> Requires
> --------
> python-ase (rpmlib, GLIBC filtered):
>     /usr/bin/python
>     python(abi)
>     python-matplotlib
> 
> 
> 
> Provides
> --------
> python-ase:
>     python-ase
> 
> 
> 
> Source checksums
> ----------------
> https://wiki.fysik.dtu.dk/ase-files/python-ase-3.7.1.3184.tar.gz :
>   CHECKSUM(SHA256) this package     :
> de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
>   CHECKSUM(SHA256) upstream package :
> de95f327ef93062bec5d564c41faf71784fb134a1b87fe02b25ea15fbc001674
> https://wiki.fysik.dtu.dk/ase-files/ase-gui.desktop :
>   CHECKSUM(SHA256) this package     :
> 6d685a94f4d034a7ee2ed12057c5e44b3ed7d5e8c2b1fb4d2bb0104c214cd3a4
>   CHECKSUM(SHA256) upstream package :
> 6d685a94f4d034a7ee2ed12057c5e44b3ed7d5e8c2b1fb4d2bb0104c214cd3a4
> 
> 
> Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
> Buildroot used: fedora-rawhide-x86_64
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 976886
> 
> #####
> 
> Please fix these small issues inside spec, and I'll grant review.
Comment 11 Björn "besser82" Esser 2013-06-25 07:34:37 EDT
(In reply to Marcin.Dulak from comment #10)
> > You can use expansion here, instead of conditional: `%{?el5:--vendor "" \}`
> 
> i got "unclosed macro or bad line continuation", so i use --vendor=="ase".

Is a vendor tag really needed in a desktop-file?

According to guidelines this should be ommited:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Desktop_files

 | --vendor and desktop-file-install
 | For F19 and onwards, do not apply a vendor tag to .desktop files (using
 | --vendor). New packages should not add a vendor tag to any older branches
 | either. The vendor tag is implemented by adding a vendor prefix to the
 | .desktop filename which breaks some tools. If an existing package has a
 | vendor tag in previous Fedora releases it must continue to do so but only in
 | those releases. This is mostly for the sake of user menu-editing which bases
 | off of .desktop file/path names and thus break if the filename changes.

So just drop the "--vendor"-flag on SCM-import :)

APPROVED!
Comment 12 Björn "besser82" Esser 2013-06-25 07:41:26 EDT
Don't forget to add me as com-maintainer in SCM-request, please. :)
Comment 13 marcindulak 2013-06-25 08:01:41 EDT
(In reply to Björn Esser from comment #11)
> (In reply to Marcin.Dulak from comment #10)
> > > You can use expansion here, instead of conditional: `%{?el5:--vendor "" \}`
> > 
> > i got "unclosed macro or bad line continuation", so i use --vendor=="ase".
> 
> Is a vendor tag really needed in a desktop-file?
> 
> According to guidelines this should be ommited:
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#Desktop_files

it is required on el5 (fails without it).

> 
>  | --vendor and desktop-file-install
>  | For F19 and onwards, do not apply a vendor tag to .desktop files (using
>  | --vendor). New packages should not add a vendor tag to any older branches
>  | either. The vendor tag is implemented by adding a vendor prefix to the
>  | .desktop filename which breaks some tools. If an existing package has a
>  | vendor tag in previous Fedora releases it must continue to do so but only
> in
>  | those releases. This is mostly for the sake of user menu-editing which
> bases
>  | off of .desktop file/path names and thus break if the filename changes.
> 
> So just drop the "--vendor"-flag on SCM-import :)
> 
> APPROVED!
Comment 14 marcindulak 2013-06-25 08:14:31 EDT
New Package SCM Request
=======================
Package Name: python-ase
Short Description: Atomic Simulation Environment
Owners: marcindulak besser82
Branches: f17 f18 f19 el5 el6
InitialCC:
Comment 15 Björn "besser82" Esser 2013-06-25 08:14:48 EDT
(In reply to Marcin.Dulak from comment #13)
> it is required on el5 (fails without it).

OK. Then your first implementation would be the best possible approach, just including it for el5:

 | desktop-file-install \
 | --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 | %if 0%{?el5}
 | --vendor "" \
 | %endif
 | %{SOURCE1}
Comment 16 Gwyn Ciesla 2013-06-25 09:13:19 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-06-25 11:25:42 EDT
python-ase-3.7.1.3184-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-ase-3.7.1.3184-4.fc18
Comment 18 Fedora Update System 2013-06-25 11:27:02 EDT
python-ase-3.7.1.3184-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-ase-3.7.1.3184-4.fc19
Comment 19 Fedora Update System 2013-06-25 11:41:31 EDT
python-ase-3.7.1.3184-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-ase-3.7.1.3184-4.fc17
Comment 20 Fedora Update System 2013-06-25 11:56:36 EDT
python-ase-3.7.1.3184-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-ase-3.7.1.3184-4.el5
Comment 21 Fedora Update System 2013-06-25 12:13:09 EDT
python-ase-3.7.1.3184-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-ase-3.7.1.3184-4.el6
Comment 22 marcindulak 2013-06-25 12:14:50 EDT
(In reply to Björn Esser from comment #15)
> (In reply to Marcin.Dulak from comment #13)
> > it is required on el5 (fails without it).
> 
> OK. Then your first implementation would be the best possible approach, just
> including it for el5:
> 
>  | desktop-file-install \
>  | --dir $RPM_BUILD_ROOT%{_datadir}/applications \
>  | %if 0%{?el5}
>  | --vendor "" \
>  | %endif
>  | %{SOURCE1}

OK, let me change that for the next upstream python-ase.
Comment 23 Fedora Update System 2013-06-25 20:41:20 EDT
python-ase-3.7.1.3184-4.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 24 Fedora Update System 2013-07-21 14:38:16 EDT
python-ase-3.7.1.3184-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 25 Fedora Update System 2013-07-21 14:38:42 EDT
python-ase-3.7.1.3184-4.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 26 Fedora Update System 2013-07-21 20:29:00 EDT
python-ase-3.7.1.3184-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 27 Fedora Update System 2013-07-21 20:32:17 EDT
python-ase-3.7.1.3184-4.fc18 has been pushed to the Fedora 18 stable repository.
Comment 28 Fedora Update System 2013-07-21 20:32:32 EDT
python-ase-3.7.1.3184-4.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.